# DataExchange
TKSTEP
StepAP203

# StepAP203_CcDesignCertification Class Reference

Representation of STEP entity CcDesignCertification
.

`#include <StepAP203_CcDesignCertification.hxx>`

Inheritance diagram for StepAP203_CcDesignCertification:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP203_CcDesignCertification ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepBasic_Certification)&aCertificationAssignment_AssignedCertification, const Handle(StepAP203_HArray1OfCertifiedItem)&aItems)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepAP203_HArray1OfCertifiedItem | Items () const
| Returns field Items .
Standard_EXPORT void | SetItems (const Handle(StepAP203_HArray1OfCertifiedItem)&Items)
| Set field Items .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepAP203_HArray1OfCertifiedItem | theItems

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_CcDesignCertification::StepAP203_CcDesignCertification | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP203_CcDesignCertification::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_CertificationAssignment.

Standard_EXPORT void StepAP203_CcDesignCertification::Init | ( | const Handle(StepBasic_Certification)& | aCertificationAssignment_AssignedCertification,
|  | const Handle(StepAP203_HArray1OfCertifiedItem)& | aItems
| ) |

Standard_EXPORT Handle_StepAP203_HArray1OfCertifiedItem StepAP203_CcDesignCertification::Items | ( |  | ) | const

Standard_EXPORT void StepAP203_CcDesignCertification::SetItems | ( | const Handle(StepAP203_HArray1OfCertifiedItem)& | Items | ) |

## Field Documentation

Handle_StepAP203_HArray1OfCertifiedItem StepAP203_CcDesignCertification::theItems `[private]`

The documentation for this class was generated from the following file:

- StepAP203_CcDesignCertification.hxx